前端学堂
学有所用

git安装


分支的合并

现在公司开发基本都是使用git,如果你的git是1.7版本的,可能会在提交代码是遇到问题,比如:error: The requested URL returned error: 401 Unauthorized while accessing ,这时你要升级你的git了

git安装

转载请注明出处://fed123.oss-ap-southeast-2.aliyuncs.com/2015/05/15/2015_git_merge/

升级git

通常,打开官网(https://git-scm.com/download/),下载对应版本即可,但是目前red-hat或fedora并没有对应的1.8版本的git的rpm包,这时候只能用其他方法,比如使用yum。

It appears that git18 is no longer available from RPMForge, at least in CentOS 6.6. Luckily, I came across the following instructions from a GitLab CentOS recipe:

1.Download PUIAS repo:

1
wget -O /etc/yum.repos.d/PUIAS_6_computational.repo https://gitlab.com/gitlab-org/gitlab-recipes/raw/master/install/centos/PUIAS_6_computational.repo

2.Next download and install the GPG key:

1
wget -O /etc/pki/rpm-gpg/RPM-GPG-KEY-puias https://springdale.math.ias.edu/data/puias/6/x86_64/os/RPM-GPG-KEY-puias && rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-puias

3.Verify that the key was installed successfully:

1
rpm -qa gpg*

4.Verify that the EPEL and PUIAS Computational repositories are enabled:

1
yum repolist

5.Install Git 1.8

1
yum --enablerepo=PUIAS_6_computational install git

Note: I am not quite happy with this solution, as it only netted me Git 1.8.3 however I do not have the time to find a better solution right now.

谢谢!

转载请注明出处://fed123.oss-ap-southeast-2.aliyuncs.com/2014/12/21/2015_git_install/

欢迎关注皓眸学问公众号(扫描左侧二维码),每天好文、新技术!任何学习疑问或者工作问题都可以给我留言、互动。T_T 皓眸大前端开发学习 T_T

赞(0) 打赏
未经允许不得转载:前端学堂 » git安装

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏